# v0.19 - Group Therapy

![](./v0.19/banner.png)

## Error messages

Multiple error message are now supported.
In `elvish` and `zsh` these are shown separate from the completion values.

![](./v0.19/error-message.png)

## Usage message

Added Usage message which defaults to flag description / command usage.
This is only supported in `elvish` and `zsh`.
Since notifications are persistent in `elvish` it is only shown when there are no values to complete.

![](./v0.19/usage-message.png)

## Tags

Completion values can now be tagged. Based on this they are grouped in `zsh`.

![](./v0.19/tags.png)

## Command groups

Subcommands can now be grouped and will be highlighted in different colors.

![](./v0.19/command-groups.png)

## Group names

Group names can be shown in `zsh` with the following `zstyle`.

```zsh
zstyle ':completion:*' format $'\e[2;37mCompleting %d\e[m'
```

## Group ordering

Order of the groups can be configured in `zsh` with the following `zstyle`.

```zsh
zstyle ':completion:*:git:*' group-order 'main commands' 'alias commands' 'external commands'
```

## _describe

`_describe` is now used in `zsh` which enables the grouping of tags.
With this aliased commands and flags are now also arranged side by side.

![](./v0.19/describe.png)
